from setuptools import setup
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='pyraptor',
    version='0.1.2',
    description='A tool for searching & extracting information from multiple text files.',
    long_description=long_description,
    url='https://pypi.python.org/pypi/pyraptor',
    author='Antonio Suárez Jiménez',
    author_email='pherkad13@gmail.com',
    license='GNU GPLv3',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'Topic :: Utilities',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    keywords='pyraptor search extract text csv',
    packages=['pyraptor'],
    package_dir = {'pyraptor':'pyraptor'},
)
